[arch-commits] CVS update of extra/gnome/grcm (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Apr 22 13:48:34 EDT 2007


    Date: Sunday, April 22, 2007 @ 13:48:34
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/grcm

Modified: PKGBUILD (1.4 -> 1.5)

upgpkg: grcm 0.1.5-3
Move to /usr


----------+
 PKGBUILD |   24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)


Index: extra/gnome/grcm/PKGBUILD
diff -u extra/gnome/grcm/PKGBUILD:1.4 extra/gnome/grcm/PKGBUILD:1.5
--- extra/gnome/grcm/PKGBUILD:1.4	Fri May 26 02:13:45 2006
+++ extra/gnome/grcm/PKGBUILD	Sun Apr 22 13:48:34 2007
@@ -1,21 +1,21 @@
-# $Id: PKGBUILD,v 1.4 2006/05/26 06:13:45 andyrtr Exp $
-# Maintainer: arjan <arjan at archlinux.org>
+# $Id: PKGBUILD,v 1.5 2007/04/22 17:48:34 jgc Exp $
 
 pkgname=grcm
 pkgver=0.1.5
-pkgrel=2
+pkgrel=3
 pkgdesc="A Gnome2 Based Remote Connection Manager"
 arch=(i686 x86_64)
-depends=('libgnomeui' 'libbonoboui' 'libgnome')
-install=
-source=(http://switch.dl.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz)
+depends=('libgnomeui>=2.18.1-2')
+source=(http://switch.dl.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz)
 
 build() {
-  PATH=/opt/gnome/bin:$PATH
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/opt/gnome 
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  find . -name Makefile.in -exec sed -i -e 's/-scrollkeeper-update.*//' {} \;
+  if [ -f omf.make ]; then
+    sed -i -e 's/-scrollkeeper-update.*//' omf.make
+  fi
+
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
   make || return 1
-  make prefix=$startdir/pkg/opt/gnome install || return 1
-  #remove scrollkeeper files and run scrollkeeper update manually
-  rm -rf $startdir/pkg/opt/gnome/var
+  make DESTDIR=${startdir}/pkg install || return 1
 }




More information about the arch-commits mailing list